org.apache.sling.provisioning.model.io

## Class ModelWriter

- java.lang.Object
- - org.apache.sling.provisioning.model.io.ModelWriter

    public class ModelWriter
    extends Object

Simple writer for the a model

### Constructor Summary

Constructors
Constructor and Description
`ModelWriter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `write(Writer writer, Model model)` Writes the model to the writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModelWriter

    public ModelWriter()

### Method Detail

#### write

    public static void write(Writer writer,
                             Model model)
                      throws IOException

Writes the model to the writer. The writer is not closed.

Parameters:
  `writer` - Writer
  `model` - Model
Throws:
  `IOException`